Bug 1067180 - (CVE-2013-7329) CVE-2013-7329 perl-CGI-Application: information disclosure flaw
CVE-2013-7329 perl-CGI-Application: information disclosure flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130403,repor...
: Security
Depends On: 1067185 1067186
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-19 17:14 EST by Vincent Danen
Modified: 2015-02-04 07:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-15 21:57:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2014-02-19 17:14:54 EST
It was reported [1],[2] that the CGI::Application perl module suffered from a flaw where, in certain cases, it would unexpectedly dump a complete set of web query data and server environment information as an error page.  This could allow unintended disclosure of sensitive information.

A suggested fix is available [3] and the commit that caused the problem [4] was most likely introduced in version 4.19.


[1] https://rt.cpan.org/Public/Bug/Display.html?id=84403
[2] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=739505
[3] https://github.com/markstos/CGI--Application/pull/15
[4] https://github.com/markstos/CGI--Application/commit/61d327646f01fe
Comment 1 Vincent Danen 2014-02-19 17:24:06 EST
CVE request:

 http://openwall.com/lists/oss-security/2014/02/19/11
Comment 2 Vincent Danen 2014-02-19 17:24:39 EST
Created perl-CGI-Application tracking bugs for this issue:

Affects: fedora-all [bug 1067185]
Affects: epel-6 [bug 1067186]
Comment 3 Vincent Danen 2014-02-20 13:11:10 EST
CVE-2013-7329 was assigned to this issue:

http://openwall.com/lists/oss-security/2014/02/20/1
Comment 4 Fedora Update System 2014-03-05 00:08:34 EST
perl-CGI-Application-4.50-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-03-05 00:10:10 EST
perl-CGI-Application-4.50-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-03-10 15:12:20 EDT
perl-CGI-Application-4.50-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Ken Dreyer 2014-05-15 21:57:01 EDT
Fixes are present in all supported versions of Fedora and EPEL. Closing.

Thanks Emmanuel!

Note You need to log in before you can comment on or make changes to this bug.